// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../core/query/Query";
export class GetDividendHoldersQueryResponse {
    payload;
    constructor(payload) {
        this.payload = payload;
    }
}
export class GetDividendHoldersQuery extends Query {
    securityId;
    dividendId;
    start;
    end;
    constructor(securityId, dividendId, start, end) {
        super();
        this.securityId = securityId;
        this.dividendId = dividendId;
        this.start = start;
        this.end = end;
    }
}
